> For the complete documentation index, see [llms.txt](https://docs.linuxcontrolcenter.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.linuxcontrolcenter.com.br/en/unmanaged-hosts/unmanaged-windows.md).

# Microsoft Windows

## Requirements

* Linux Control Center = 2.10.X or higher.<br>
* Access Credentials to the Windows Host with the necessary permissions.<br>
* WinRM Enabled on the Windows Host.<br>

## Overview

The Linux Control Center **Unmanaged Hosts** functionality allows the execution of Scripts on Microsoft Windows Hosts through WinRM (Windows Remote Management) on Hosts that are not being managed by the LCC.

This functionality uses Windows Credentials, Unmanaged Hosts and Unmanaged Host Groups registered in the Console. The LCC offers a history of executions through simplified Logs.

* Configuration flow to execute Scripts on an Unmanaged Microsoft Windows Host.

1. [Unmanaged Host Windows Registration](#unmanaged-host-windows-registration)
2. [Windows Credential Registration](#windows-credential-registration)
3. [PowerShell Script Registration](#powershell-script-registration)
4. [Script Execution with Workflow](#executing-a-powershell-script-on-unmanaged-windows-hosts)

## Objective

This document aims to demonstrate step by step how to register an *Unmanaged Host*, *Unmanaged Windows Credentials* and *PowerShell Script* to execute the *Custom Scripts Quick Windows* Action.

### Unmanaged Host Windows Registration

1. Access the LCC and click on **Unmanaged Hosts**.

   ![](/files/w1zE8cOGNjdvT9IHx8TQ)
2. Click **Unmanaged Inventory**.

   ![](/files/Jt6DlaX2AEquLEwJhHCb)
3. Click **Create** and fill in the following fields;

   ![](/files/jdMLhHTHkySAgLLKiW1Z)

**Name**: Name to identify the Host.\
**Host Type**: Select the *Windows* option.\
**Address**: Enter the Windows Host IP address with dots. Ex: 192.168.0.25\
**Port**: Enter the Host's WinRM port<br>

1. Click **Save**.

   ![](/files/UzujnmNrwdy7Sp6JqHjp)

### Windows Credential Registration

* This credential will be responsible for accessing the Host and executing the desired *Script*.

1. Access the **Unmanaged Hosts** screen.

   ![](/files/w1zE8cOGNjdvT9IHx8TQ)
2. Click **Host Credentials**.

   ![](/files/kRGEpwE6qg2MHWk6BAxa)
3. Click **Windows Credentials**.

   ![](/files/H3VbMq11KpjtRIsoWmeB)
4. Click **Create**.

   ![](/files/P2BHdBuPoTSyyLUH1O1p)
5. Fill in the requested fields and click **Save**.

**Name**: Name to identify the credential\
**Username**: User to run the Script\
**Password**: User password to run the Script<br>

```
![](/pt-br/images/unmanaged_hosts/windows/create_windows/botao_save_credential.png)
```

### PowerShell Script Registration

1. Access the **Unmanaged Hosts** screen.

   ![](/files/w1zE8cOGNjdvT9IHx8TQ)
2. Click on **Scripts**.

* This screen is the same as the Hosts screen on the left side menu, where all the scripts registered in LCC are located, both for Windows and Linux.

1. Click on **Create**.

   ![](/files/dzw7NSf4lLuTKYqfSxMN)
2. Fill in the following fields;

**Name**: Name to identify the Script.\
**Host Type**: Select the *Windows* option.<br>

```
![](/pt-br/images/unmanaged_hosts/windows/create_windows/campos_script_type_e_name.png)
```

1. Click on **Upload File** and upload the Windows Script.

   ![](/files/aZABkGqccqJdMZMViKNf)
2. Click on **Save**.

   ![](/files/FmSRIJPl5vcAyyAlhvvY)

### Executing a PowerShell Script on Unmanaged Windows Hosts

1. Click on **Workflow** on the left sidebar.

   ![](/files/DeWJuw6GeGJJdiI5hpfB)
2. Click **Create**.

   ![](/files/qbv1vsOmZzTJyoAdOZNO)
3. Enter a name for the Workflow in the **Name** field.

   ![](/files/9BBZT9ffp5n3aiUnX6Qk)
4. Click **Start New Workflow**.

   ![](/files/rgh5hJ1r8fhKypE5HLvv)
5. Choose the **Custom Script Quick Windows** *Action* in the *Action* field.

   ![](/files/yBWpdKdwWWDkgp3XI8zM)
6. Fill in the fields as instructed below;

* **Script**: Choose the PowerShell Script that will be executed.<br>
* **Unmanaged Host**: Choose the Unmanaged Host Windows on which the Script will be executed.<br>
* It is also possible to execute the Script in an *Unmanaged Group*.

  ![](/files/KQTTqEQaupf1O07Bu0OC)

1. Click **Create**.

   ![](/files/0chPggC5RVpCSTimBiEE)
2. Click **Save**

   ![](/files/Wg10c8Cq6ajfn84QmsBx)
3. Click **Actions** of the *Workflow* you created and click **Run**.

   ![](/files/o6e0Z8Ch2SUgDnz4DOGT)
4. Click **Agree** to run the *Workflow*.

   ![](/files/8nflNbybPPnIsCls4KF4)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.linuxcontrolcenter.com.br/en/unmanaged-hosts/unmanaged-windows.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
